## org.biojava.bio.seq.io
Class SwissprotProcessor.Factory

    java.lang.Object
      org.biojava.bio.seq.io.SwissprotProcessor.Factory

All Implemented Interfaces:
  SequenceBuilderFactory, java.io.Serializable

Enclosing class:
  SwissprotProcessor

public static class SwissprotProcessor.Factory
extends java.lang.Object
implements SequenceBuilderFactory, java.io.Serializable

Factory which wraps SequenceBuilders in a SwissprotProcessor

Author:
  Thomas Down
See Also:
  Serialized Form

Constructor Summary
`SwissprotProcessor.Factory(SequenceBuilderFactory delegateFactory)`

Method Summary
`SequenceBuilder` `makeSequenceBuilder()`
`SequenceBuilder` `makeSequenceBuilder(java.lang.String theSource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwissprotProcessor.Factory

    public SwissprotProcessor.Factory(SequenceBuilderFactory delegateFactory)

Method Detail

### makeSequenceBuilder

    public SequenceBuilder makeSequenceBuilder()

  Specified by:
    `makeSequenceBuilder` in interface `SequenceBuilderFactory`

### makeSequenceBuilder

    public SequenceBuilder makeSequenceBuilder(java.lang.String theSource)